Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI.DoubleClickListener

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicFileChooserUI.DoubleClickListener

All Implemented Interfaces:
  EventListener, MouseListener

Enclosing class:
  BasicFileChooserUI

protected class BasicFileChooserUI.DoubleClickListener
extends MouseAdapter

Constructor Summary
`BasicFileChooserUI.DoubleClickListener(JList list)`

Method Summary
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse has been clicked on a component.

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFileChooserUI.DoubleClickListener

    public BasicFileChooserUI.DoubleClickListener(JList list)

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when the mouse has been clicked on a component.
  Overrides:
    `mouseClicked` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.